Bug 44449 - [iOS] app fails to correctly parse spaces in URL represented by (%20)
Summary: [iOS] app fails to correctly parse spaces in URL represented by (%20)
Status: RESOLVED NORESPONSE
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: XI 9.1 (iOS 9.1)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-16 22:36 UTC by Kent Green [MSFT]
Modified: 2016-10-27 15:53 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Kent Green [MSFT] 2016-09-16 22:36:53 UTC
## Overview
From this desk case:
https://kb.xamarin.com/agent/case/371943

The customer reported that their Xamarin native app for iOS is unable to parse or view a URL with %20 in it. Example:
> www.google.com/some%20kinda%20doc.pdf
becomes
> www.google.com/somekindadoc.pdf

Thus not reaching the correct URL.


## Potentially related bug reports
Originally I thought this customer was hitting https://bugzilla.xamarin.com/show_bug.cgi?id=43411; however that report is filed against Android rather than iOS. 

I also found a recent bug report that prevents URLs that start with an underscore (_) from being parsed; reported RESOLVED FIXED as of Mono 4.6: https://bugzilla.xamarin.com/show_bug.cgi?id=43032


## Additional info requested
Beyond the similar symptoms and related behavior in other bugs; I do not yet have much information from the customer yet; so I've requested their build information for further background on the issue from the reporting customer.
Comment 1 Manuel de la Peña [MSFT] 2016-09-19 15:41:48 UTC
Hello,

Could we have an example of how is the url being used? Ot how is it being parsed?
Comment 2 Kent Green [MSFT] 2016-09-20 16:49:43 UTC
Build information of reporting customer from the bug description:

=== Xamarin Studio Enterprise ===
Version 6.1 (build 5441)
Installation UUID: 76b14861-0980-48d4-aa72-c33f7776e2a0
Runtime:
Mono 4.6.0 (mono-4.6.0-branch/746756c) (64-bit)
GTK+ 2.24.23 (Raleigh theme)

Package version: 406000245

=== NuGet ===
Version: 3.4.3.0

=== Xamarin.Profiler ===
Not Installed

=== Xamarin.Android ===
Version: 7.0.0.18 (Xamarin Enterprise)
Android SDK: /Users/jenkins/Library/Developer/Xamarin/android-sdk-macosx
Supported Android versions:
2.3 (API level 10)
4.0.3 (API level 15)
4.4 (API level 19)
5.0 (API level 21)
6.0 (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.0.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_67"
Java(TM) SE Runtime Environment (build 1.7.0_67-b01)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===
Not Installed

=== Apple Developer Tools ===
Xcode 8.0 (11246)
Build 8A218a

=== Xamarin.iOS ===
Version: 10.0.0.6 (Xamarin Enterprise)
Hash: 6c3fee4
Branch: xcode8
Build date: 2016-09-09 13:01:32-0400

=== Xamarin.Mac ===
Not Installed

=== Build Information ===
Release ID: 601005441
Git revision: 68292d1ab289911c815ddc715dd7cc29a9752f9f
Build date: 2016-09-09 04:43:23-04
Xamarin addins: ed25d008672663eeb9db55f1ccecb3c24d2fd3b2
Build lane: monodevelop-lion-cycle8

=== Operating System ===
Mac OS X 10.11.5
Darwin Jenkinss-Mac-mini.local 15.5.0 Darwin Kernel Version 15.5.0
Tue Apr 19 18:36:36 PDT 2016
root:xnu-3248.50.21~8/RELEASE_X86_64 x86_64
Comment 3 Sebastien Pouliot 2016-09-27 21:28:18 UTC
@Kent the questions from comment #1 remains, i.e. which API are being used.
Comment 4 Vincent Dondain [MSFT] 2016-10-27 14:11:41 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and re-open the bug report. Thanks!
Comment 5 Kent Green [MSFT] 2016-10-27 15:53:07 UTC
Unfortunately the reporting customer never responded to last message based on the questions in the bug report; so "NO RESPONSE" is accurate.